# encode the right CD kernel parameteres, for every project
default_kernel_params() {
    case $PROJECT in
        ubuntu)
            # for multi-layer images, add a kernel command line option to set layerfs-path
            # and select the leaf filesystem to determine the list of layers to merge in
            # an overlay and boot from.
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/ubuntu.seed maybe-ubiquity quiet splash --- "
            if [ "$SUBPROJECT" = "canary" ]; then
                KERNEL_PARAMS="layerfs-path=minimal.standard.live.squashfs ${KERNEL_PARAMS}"
            fi
            ;;
        ubuntukylin)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/ubuntu.seed locale=zh_CN keyboard-configuration/layoutcode?=cn maybe-ubiquity quiet splash --- "
            ;;
        kubuntu)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/kubuntu.seed maybe-ubiquity quiet splash --- "
            ;;
        lubuntu)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/lubuntu.seed quiet splash --- "
            ;;
        xubuntu)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/xubuntu.seed maybe-ubiquity quiet splash --- "
            ;;
        ubuntustudio)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/ubuntustudio.seed maybe-ubiquity quiet splash --- "
            ;;
        ubuntu-mate)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/ubuntu-mate.seed maybe-ubiquity quiet splash --- "
            ;;
        ubuntu-budgie)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }file=/cdrom/preseed/ubuntu-budgie.seed maybe-ubiquity quiet splash --- "
            ;;
        ubuntu-server)
            KERNEL_PARAMS="${KERNEL_PARAMS:+$KERNEL_PARAMS }quiet ---"
            ;;
    esac
}

HUMANPROJECT="$(echo "$CAPPROJECT" | sed 's/-/ /g')"
